<header>
  <nav
    class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3"
  >
    <div class="container">
      <a class="navbar-brand" [routerLink]="['/']">Angular</a>
      <button class="navbar-toggler"
              type="button"
              data-toggle="collapse"
              data-target=".navbar-collapse"
              aria-label="Toggle navigation"
              [attr.aria-expanded]="isExpanded"
              (click)="toggle()">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse collapse d-sm-inline-flex justify-content-end" *ngIf="(accountService.currentUser$ | async) as user; else login">
        <ul class="navbar-nav">
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              Welcome {{user.userName}}
            </a>
            <ul class="dropdown-menu dropdown-menu-light" aria-labelledby="navbarDarkDropdownMenuLink">
              <li><a class="dropdown-item" routerLink="/users">Go to users</a></li>
              <li><a class="dropdown-item" href="#" (click)="logout()">Logout</a></li>
            </ul>
          </li>
        </ul>
      </div>
      <ng-template #login>
        <div>
          <a routerLink="/login" class="me-3 text-decoration-none">Login</a>
          <a routerLink="/register" class="text-decoration-none">Register</a>
        </div>
      </ng-template>
    </div>
  </nav>
</header>
